> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get absences

> Required scope: `org:absence:read`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0.json get /organizations/{organizationId}/absences
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    The malibou HRIS public API provides programmatic access to collaborator,
    company, and HR data.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Collaborators
    description: Collaborators endpoints
    x-group: Collaborators
  - name: Absences
    description: Absences endpoints
    x-group: Absences
  - name: Work Locations
    description: Work Locations endpoints
    x-group: Work Locations
paths:
  /organizations/{organizationId}/absences:
    get:
      tags:
        - Absences
      summary: Get absences
      description: 'Required scope: `org:absence:read`'
      operationId: getAbsences
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
        - schema:
            type: string
          required: false
          name: establishmentId
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 0
          required: false
          name: limit
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
            description: Date in `YYYY-MM-DD` format (ISO 8601).
          required: true
          description: Date in `YYYY-MM-DD` format (ISO 8601).
          name: startDate
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
            description: Date in `YYYY-MM-DD` format (ISO 8601).
          required: true
          description: Date in `YYYY-MM-DD` format (ISO 8601).
          name: endDate
          in: query
        - schema:
            type: string
            enum:
              - approved
              - pending
              - rejected
          required: false
          name: status
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        collaboratorId:
                          type: string
                        startDate:
                          type: string
                        endDate:
                          type: string
                        createdAt:
                          type: string
                        startHalfDay:
                          type: boolean
                          description: >-
                            Indicates whether the leave starts in the
                            **afternoon** of the `startDate`.

                            - `false`: the leave covers the full day of
                            `startDate`.

                            - `true`: the leave only starts from the
                            **afternoon** of `startDate`.
                        endHalfDay:
                          type: boolean
                          description: >-
                            Indicates whether the leave ends in the **morning**
                            of the `endDate`.

                            - `false`: the leave covers the full day of
                            `endDate`.

                            - `true`: the leave only covers the **morning** of
                            `endDate`.
                        status:
                          type: string
                          enum:
                            - approved
                            - pending
                            - rejected
                        type:
                          type: string
                          description: >-
                            Needs scope `org:absence:type:read`.


                            Organization-specific custom leave types start with
                            `custom_`. Built-in leave types:

                            - `conge_paye`: Congés Payés (Paid Leave)

                            - `rtt`: RTT (RTT)

                            - `rcr`: Repos compensateur (h. sup.) (Compensatory
                            Rest (overtime hours))

                            - `rco`: Repos compensateur obligatoire (Mandatory
                            Compensatory Rest)

                            - `conge_sans_solde`: Congés sans solde (Unpaid
                            Leave)

                            - `maladie_non_professionnelle`: Maladie (Sick
                            Leave)

                            - `enfant_malade`: Enfant malade (Child Sick Leave)

                            - `maternite`: Maternité (Maternity Leave)

                            - `conge_patho_prenatal_maternite`: Congé
                            pathologique pré-natal (Pre-natal medical leave)

                            - `conge_patho_postnatal`: Congé pathologique
                            post-natal (Post-natal medical leave)

                            - `paternite`: Paternité (Paternity Leave)

                            - `conge_supplementaire_naissance`: Congé
                            supplémentaire de naissance (Supplementary birth
                            leave)

                            - `conge_parental`: Congé parental (Parental leave)

                            - `presence_parentale`: Présence parentale (Parental
                            care)

                            - `evenement_familial`: Événement familial (Family
                            Event)

                            - `accident_du_travail`: Accident de travail (Work
                            Accident)

                            - `maladie_professionnelle`: Maladie professionnelle
                            (Professional Disease Leave)

                            - `jour_ecole`: Jour école (School)

                            - `revision`: Révisions (Course review)

                            - `recuperation`: Jour de récupération (Recovery
                            day)

                            - `repos`: Jour de repos (Time in Lieu)

                            - `absence_non_remuneree_autorisee`: Absence non
                            rémunérée autorisée (Allowed not paid leave)

                            - `absence_non_remuneree_non_autorisee`: Absence non
                            rémunérée non autorisée (Not allowed and not paid
                            leave)

                            - `absence_remuneree`: Autre absence rémunérée
                            (Other paid leave)

                            - `mise_a_pied_conservatoire`: Mise à pied
                            conservatoire (Precautionary suspension)

                            - `mise_a_pied_disciplinaire`: Mise à pied
                            disciplinaire (Disciplinary suspension)

                            - `representation_des_salaries`: Représentation des
                            salariés (Employee representative duties)

                            - `autre`: Autre (Other)
                      required:
                        - id
                        - collaboratorId
                        - startDate
                        - endDate
                        - createdAt
                        - startHalfDay
                        - endHalfDay
                        - status
                  total:
                    type: number
                  page:
                    type: number
                  limit:
                    type: number
                required:
                  - data
                  - total
                  - page
                  - limit
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````